# enid rollback

#### `enid rollback`

```ansi
Performs a state rollback to recover from an incorrect application state when Tendermint has persisted an incorrect application hash and can no longer continue. The rollback will overwrite the state at height n with the state at height n - 1. The application will also roll back to height n - 1. No blocks will be deleted; therefore, transactions from block n will be re-executed upon restarting Tendermint.

Usage:
  enid rollback [flags]

Flags:
      --chain-id string    Chain ID from the genesis file; if left empty, eni will be used (default "eni-chain")
      --hard               Deletes the last block and the state
  -h, --help               Help information for rollback
      --home string        Application home directory (default "~/.eni")

Global Flags:
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-rollback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
